Package org.apache.sling.feature.analyser

# Class AnalyserResult.Report<T>

java.lang.Object
org.apache.sling.feature.analyser.AnalyserResult.Report<T>

Direct Known Subclasses:
  `AnalyserResult.ArtifactReport`, `AnalyserResult.ConfigurationReport`, `AnalyserResult.ExtensionReport`, `AnalyserResult.GlobalReport`

Enclosing interface:
  `AnalyserResult`

public static class AnalyserResult.Report<T> extends Object
Base class for a warning or an error.

## Method Summary

Modifier and Type
Method
Description
`T`
`getKey()`
The key for the message
`String`
`getTaskId()`
Return the task id of the analyser task issuing this report
`String`
`getValue()`
The message
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getKey

public T getKey()
The key for the message

Returns:
  The key. Might be `null`

### getValue

public String getValue()
The message

Returns:
  The message

### getTaskId

public String getTaskId()
Return the task id of the analyser task issuing this report

Returns:
  The task id
Since:
  1.5.0

### toString

public String toString()

Overrides:
  `toString` in class `Object`